#
# spec file for package lightsoff
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lightsoff
Version:        3.16.1.1
Release:        4.4
Summary:        Lights Out Game for GNOME
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Url:            https://live.gnome.org/Lightsoff
Source:         http://download.gnome.org/sources/lightsoff/3.16/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.35.0
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.22.0
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(clutter-1.0) >= 1.14.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.4.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.13.2
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Lights Out is a board game where the goal is to switch off all tiles.
Toggling the status of one tile, will also toggle the status of its
adjacent tiles.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/lightsoff.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*

%files lang -f %{name}.lang

%changelog
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1.1:
  + Fix installation of hicolor icon.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Update moved counter when using keyboard.
  + Provide a symbolic icon
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Updated about dialog.
  + Renamed New Game to Start Over.
  + Updated translations.
* Mon Jan 26 2015 dimstar@opensuse.org
- Update to version 3.15.4:
  + Implemented moves counter.
  + Updated translations.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + Switch to appstream util validate from appdata validation.
  + Updated translations.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Appdata: updated screenshot size.
  + Updated translations.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Removed level changer LED in favor of proper buttons.
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Fixed touch screen handling for arrows.
  + Updated translations.
- Add pkgconfig(librsvg-2.0) BuildRequires: new dependency.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Updated documentations.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Fixed touch screen issue where taping didnt work.
  + Bump clutter dep to 1.14.0, clutter-gtk to 1.4.0.
  + Updated translations.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updated translations.
* Mon Mar  3 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Updated translations.
* Mon Feb 17 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + appdata: specify project_group.
* Mon Feb  3 2014 zaitor@opensuse.org
- Update to version 3.11.5:
  + Updated translations.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Update website in about dialog.
  + Updated translations.
* Mon Dec 16 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + About dialog: use GtkLicense.
  + Appdata: update homepage.
  + App menu: standardize Help/About/Quit.
  + Use a GtkHeaderBar.
  + Depend on GTK+ 3.10, Vala 0.22.
  + Use dark theme.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Fix compilation in Fedora 19.
  + Drop fixes.vapi.
  + appdata: adjust screenshot size.
  + Check for *-validate before using them, run autoupdate.
  + Updated translations.
* Tue Oct 29 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Validate appdata and desktop file at make check, etc.
  + Remove .desktop.in.in and BugBuddy info.
  + Rely on intltool >=0.50 for gsettings translation.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Make the window unresizable.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add appdata file.
  + Updated translations.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Fix some broken links in user help.
  + Updated translations.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
- Changes from version 3.7.92:
  + Added high contrast icon.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
